From 743caa283ced87d021e67c65ced1860fe0a11ecc Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 16 2020 20:22:47 +0000
Subject: [PATCH 1055/2232] Remove duplicated UniquePtr<C> impl in ui test


---

diff --git a/tests/ui/unique_ptr_to_opaque.rs b/tests/ui/unique_ptr_to_opaque.rs
index 5ae03f8..720ca69 100644
--- a/tests/ui/unique_ptr_to_opaque.rs
+++ b/tests/ui/unique_ptr_to_opaque.rs
@@ -11,8 +11,6 @@ mod outside {
 
 #[cxx::bridge]
 mod ffi {
-    impl UniquePtr<C> {}
-
     extern "C" {
         type C = crate::outside::C;
     }
diff --git a/tests/ui/unique_ptr_to_opaque.stderr b/tests/ui/unique_ptr_to_opaque.stderr
index f0e4aa0..19d76a3 100644
--- a/tests/ui/unique_ptr_to_opaque.stderr
+++ b/tests/ui/unique_ptr_to_opaque.stderr
@@ -1,7 +1,7 @@
 error[E0271]: type mismatch resolving `<outside::C as ExternType>::Kind == Trivial`
-  --> $DIR/unique_ptr_to_opaque.rs:24:5
+  --> $DIR/unique_ptr_to_opaque.rs:22:5
    |
-24 |     cxx::UniquePtr::new(outside::C { a: 4 });
+22 |     cxx::UniquePtr::new(outside::C { a: 4 });
    |     ^^^^^^^^^^^^^^^^^^^ expected enum `Trivial`, found enum `cxx::kind::Opaque`
    |
    = note: required by `UniquePtr::<T>::new`

